Alokai

SapccApiCreateRegistrationRequestRequest

Request parameters for createRegistrationRequest operation in SapccApi. SapccApiCreateRegistrationRequestRequest

interface SapccApiCreateRegistrationRequestRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly orgUserRegistrationData: OrgUserRegistrationData;
	readonly sapCommerceCloudCaptchaToken?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiCreateRegistrationRequest
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateRegistrationRequest
orgUserRegistrationDataRequiredOrgUserRegistrationData{OrgUserRegistrationData} SapccApiCreateRegistrationRequest
sapCommerceCloudCaptchaTokenOptionalstringThe user's response token returned by captcha provider, for example, the g-recaptcha-response returned by google recaptcha client. When the captchaCheckEnabled = true for the store, the field is mandatory and will call the provider to validate. {string} SapccApiCreateRegistrationRequest

Referenced Types

On this page